# List Webhooks

<mark style="color:green;">`GET`</mark>  `/api/v2/webhooks`

The List Webhooks endpoint retrieves a list of all configured webhooks, including their event types, URLs, creation timestamps, and last modified timestamps.

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
  "status": "success",
  "data": [
    {
      "webhook_url": "https://example.com/api/webhook",
      "event_names": null,
      "ip_allowlist": null,
      "id": "01954751-cccd-709a-baee-ee3ddac37e39",
      "business_id": "06790d62-07e5-7aac-8000-d0462f2c2d94",
      "event_type": "travel_rule",
      "modified_by": "John Doe",
      "last_modified": "2025-02-26T21:57:18.000+08:00",
      "webhook_desc": "Webhook that pushes updates from Travel Rule module",
      "webhook_secret": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/ospree-api/webhooks/api-endpoints/list-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
